> For the complete documentation index, see [llms.txt](https://docs.mdintegrations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mdintegrations.com/partner-api-reference/cases/tags/it-gets-the-historical-of-case-tags.md).

# It gets the historical of case tags

Returns a paginated, chronological history of tag additions, removals, and note updates for the case.

```json
{"openapi":"3.1.0","info":{"title":"MD Integrations","version":"1.0.0"},"tags":[{"name":"Cases/Tags"}],"servers":[{"url":"https://api.mdintegrations.dev/v1","description":"Development"}],"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.mdintegrations.dev/v1/partner/auth/token","scopes":{"*":"Full partner account access"}}}}},"schemas":{"HistoricalCaseTagResource":{"type":"object","properties":{"event":{"type":"string","description":"Attributes;"},"case_id":{"type":"string"},"tag_id":{"type":"string"},"reason":{"type":["string","null"]},"user_id":{"type":["string","null"]},"user_type":{"type":["string","null"]},"created_at":{"type":["string","null"],"format":"date-time"},"updated_at":{"type":["string","null"],"format":"date-time"},"deleted_at":{"type":["string","null"],"format":"date-time"},"tag":{"description":"Loaded Attributes;","$ref":"#/components/schemas/App.Http.Resources.TagResource"}},"required":["event","case_id","tag_id","reason","user_id","user_type","created_at","updated_at","deleted_at"],"title":"HistoricalCaseTagResource"},"App.Http.Resources.TagResource":{"type":"object","properties":{"id":{"type":"string","description":"Attributes;"},"name":{"type":"string"},"key":{"type":"string"},"description":{"type":["string","null"]},"color":{"type":"string"},"type":{"type":"string"},"removable_role":{"type":["string","null"]},"auto_detach_status":{"type":["array","null"],"items":{}},"created_at":{"type":["string","null"],"format":"date-time"},"updated_at":{"type":["string","null"],"format":"date-time"},"deleted_at":{"type":["string","null"],"format":"date-time"},"notes":{"type":"string","description":"Appended Attributes;"},"pivot":{"type":"object","description":"Pivot Attributes (Model Tag);","properties":{"tag_id":{"type":"string","description":"When loaded;"},"model_type":{"type":"string"},"model_id":{"type":"string"},"notes":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["tag_id","model_type","model_id","notes","created_at","updated_at"]}},"required":["id","name","key","description","color","type","removable_role","auto_detach_status","created_at","updated_at","deleted_at","notes"],"title":"App.Http.Resources.TagResource"}},"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}}}},"paths":{"/partner/cases/{case}/tags/historical":{"get":{"operationId":"v1.partners-app.cases.tags.historical.list","description":"Returns a paginated, chronological history of tag additions, removals, and note\nupdates for the case.","summary":"It gets the historical of case tags","tags":["Cases/Tags"],"parameters":[{"name":"case","in":"path","required":true,"description":"The case ID","schema":{"type":"string"}},{"name":"with_relationships","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated set of `HistoricalCaseTagResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/HistoricalCaseTagResource"}},"links":{"type":"object","properties":{"first":{"type":["string","null"]},"last":{"type":["string","null"]},"prev":{"type":["string","null"]},"next":{"type":["string","null"]}},"required":["first","last","prev","next"]},"meta":{"type":"object","properties":{"current_page":{"type":"integer","minimum":1},"from":{"type":["integer","null"],"minimum":1},"last_page":{"type":"integer","minimum":1},"links":{"type":"array","description":"Generated paginator links.","items":{"type":"object","properties":{"url":{"type":["string","null"]},"label":{"type":"string"},"active":{"type":"boolean"}},"required":["url","label","active"]}},"path":{"type":["string","null"],"description":"Base path for paginator generated URLs."},"per_page":{"type":"integer","description":"Number of items shown per page.","minimum":0},"to":{"type":["integer","null"],"description":"Number of the last item in the slice.","minimum":1},"total":{"type":"integer","description":"Total number of items being paginated.","minimum":0}},"required":["current_page","from","last_page","links","path","per_page","to","total"]}},"required":["data","links","meta"]}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mdintegrations.com/partner-api-reference/cases/tags/it-gets-the-historical-of-case-tags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
